net.sf.jasperreports.data.cache

## Class DoubleArrayStore

- java.lang.Object
- - net.sf.jasperreports.data.cache.DoubleArrayStore

- All Implemented Interfaces:
    ArrayStore, BufferColumnStore, ColumnStore

      public class DoubleArrayStore
      extends java.lang.Object
      implements BufferColumnStore, ArrayStore

  Version:
    $Id: DoubleArrayStore.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleArrayStore(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.Object object)`
    `void` | `copyValue(int destIdx, int sourceIdx)`
    `int` | `count()`
    `ColumnValues` | `createValues()`
    `boolean` | `full()`
    `java.lang.Class<?>` | `getBaseValuesType()`
    `void` | `resetValues()`
    `java.lang.String` | `toString()`
    `void` | `updateCount(int count)`
    `boolean` | `valuesEqual(int idx1, int idx2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleArrayStore

          public DoubleArrayStore(int size)

  - ### Method Detail

    - #### getBaseValuesType

          public java.lang.Class<?> getBaseValuesType()

      Specified by:
        `getBaseValuesType` in interface `ColumnStore`

    - #### count

          public int count()

      Specified by:
        `count` in interface `ArrayStore`

    - #### valuesEqual

          public boolean valuesEqual(int idx1,
                            int idx2)

      Specified by:
        `valuesEqual` in interface `ArrayStore`

    - #### copyValue

          public void copyValue(int destIdx,
                       int sourceIdx)

      Specified by:
        `copyValue` in interface `ArrayStore`

    - #### updateCount

          public void updateCount(int count)

      Specified by:
        `updateCount` in interface `ArrayStore`

    - #### addValue

          public void addValue(java.lang.Object object)

      Specified by:
        `addValue` in interface `ColumnStore`

    - #### full

          public boolean full()

      Specified by:
        `full` in interface `BufferColumnStore`

    - #### resetValues

          public void resetValues()

      Specified by:
        `resetValues` in interface `BufferColumnStore`

    - #### createValues

          public ColumnValues createValues()

      Specified by:
        `createValues` in interface `ColumnStore`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com